[machine]
description = TEST-LINUX
#instruction_folder = st-ten-1
image_for_warning= st-ten-1


[hardware_config]
archive_synchronizer: present
galaxy_camera: absent
uvc_camera: absent
label_printer: present
neo_pixels: absent
remote_api: absent
tecna_t3: present
vision_saver: absent
vision: absent
screwdriver: absent
fixture_id: absent
digital_io: present
external_flush_blow: absent

[archive_synchronizer]
#archive_endpoint: https://dev.r5portal.it/api/st-ten-save/
archive_endpoint: https://r5portal.it/api/st-ten-save/
poll_time: 10
hold_time: 10

[tecna_t3]
port: /dev/ttyUSB0
model: t3p

[fixture_rfid]
port: COM5

[digital_io]
# OUTPUT MAP FOR VALVE CONTROL UNITS
id: USB-5862,BID#0
discard_idx:12 # BIT NUMBER OF THE I/0 MODULE USED FOR DISCARD SENSING

[recipe]
recipe_name_field: codice_ricetta
part_number_field: codice_prodotto
label_template_field: modello_etichetta
description_field: descrizione

[label_printer]
platform: linux
printer: Zebra_Technologies_ZTC_ZD421-203dpi_ZPL

[recipes_defaults]
tester_discharge_enable: yes
codice_ricetta: specificare ricetta
cliente: IVECO
part_number: specificare part number
canale_di_prova: 0
warning_img:
pid_pressure_correction: 105
dimensione_lotto_abilitata:
n_componenti:1
istruzione_abilitata: x
numero nastri (n):0
numero sensori anello (sa):0
numero sensori presenza (sp):0

prova_tenuta_abilitata: x
tempo_pre_riempimento: 0
pressione_pre_riempimento: 5000
tempo_riempimento: 5
tempo_assestamento: 10
percentuale_minima_pressione_assestamento: 5
percentuale_massima_pressione_assestamento: 5
tempo_di_test: 10
pressione_di_test_delta_minimo: 30
pressione_di_test: 5000
pressione_di_test_delta_massimo: 30
tempo_svuotamento: 1
pressione_svuotamento: 100

prova_tenuta_abilitata_2:
tempo_pre_riempimento_2: 0
pressione_pre_riempimento_2: 1000
tempo_riempimento_2: 5
tempo_assestamento_2: 5
percentuale_minima_pressione_assestamento_2: 5
percentuale_massima_pressione_assestamento_2: 5
tempo_di_test_2: 5
pressione_di_test_delta_minimo_2: 200
pressione_di_test_2: 1000
pressione_di_test_delta_massimo_2: 200
tempo_svuotamento_2: 1
pressione_svuotamento_2: 100

stampa_etichetta_abilitata: x
modello_etichetta: ETA30x16_203dpi.prn
descrizione: inserire descrizione ricetta

[autotest_leak]
enabled: true
pre_filling_time: 0
pre_filling_pressure: 1000
filling_time: 10
settling_time: 10
settling_pressure_min_percent: 5
settling_pressure_max_percent: 5
test_pressure: 7000
test_time: 10
test_pressure_qpos: 10 #Q+ Upper test leak limit
test_pressure_qneg: 30 #Q- Lower test leak limit
test_pressure_tt_qpos: 1 # Q+ Upper test leak limit (tube-tube)
test_pressure_tt_qneg: 5 # Q- Lower test leak limit (tube-tube)
flush_time: 1
flush_pressure: 100
relay_config: 1